#include <stdio.h>
#include <gtk/gtk.h>

#ifdef DEBUG
#define DPRINT(x) puts(x)
#else
#define DPRINT(x)
#endif

char *about_title="About gmp3te";
#ifdef JAPANESE
char *about_txt = \
"          gmp3te[gtk based mp3 tag editor] 0.1\n\
                                        (C) Daicyan <daicyan@osa.att.ne.jp>\n\
\n\
ΥեȥGPL 2.0˴ŤۤƤޤ\
";
char *close_button_label="Ĥ";
#else
char *close_button_label="Dissmiss";
char *about_txt = \
"          gmp3te[gtk based mp3 tag editor] 0.1\n\
                                        (C) Daicyan <daicyan@osa.att.ne.jp>\n\
\n\
This software is distributed under GPL 2.0.\
";
#endif

GtkWidget *w_about;

void close_about ( void )
{
  gtk_widget_destroy(w_about);
}

void open_about (void)
{
  GtkWidget *table;
  GtkWidget *label;
  GtkWidget *button;

  DPRINT("about()");

  w_about=gtk_window_new(GTK_WINDOW_DIALOG);
  gtk_window_set_title(GTK_WINDOW(w_about), about_title);

  table = gtk_table_new(2, 1, FALSE );
  gtk_container_add(GTK_CONTAINER(w_about), table);
  gtk_widget_show(table);

  label=gtk_label_new(about_txt);
  gtk_table_attach_defaults(GTK_TABLE(table),label, 0, 1, 0, 1);
  gtk_widget_show(label);

  button=gtk_button_new_with_label(close_button_label);
  gtk_signal_connect_object (GTK_OBJECT (button), "clicked",
                             GTK_SIGNAL_FUNC (close_about),
                             GTK_OBJECT (w_about));
  gtk_table_attach_defaults(GTK_TABLE(table),button, 0, 1, 1, 2);
  gtk_widget_show(button);

  /* set window event signal */
  gtk_signal_connect (GTK_OBJECT (w_about), "destroy",
                      GTK_SIGNAL_FUNC (close_about), NULL);
  gtk_signal_connect_object (GTK_OBJECT (w_about), "delete_event",
                             GTK_SIGNAL_FUNC (close_about),
                             GTK_OBJECT (w_about));

  gtk_widget_show(w_about);
}
